% read the data
links=dlmread('./blogbd_links.csv');

% build a sparse adjacency matrix from the edge list
N=max(max(links));
A=sparse(links(:,1),links(:,2),ones(size(links,1),1),N,N);

% perform the clustering with an initial number of 100 clusters and 1 start
% of the algorithm
[cls,RAS,counts,icl]=GreedyICL(A,100,1);